<!--
  Generated template for the DashboardPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <ion-title>dashboard</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <div class="container">
    <div class="box-balance">
      <ion-label>CURRENT BALANCE</ion-label>
      <ion-label class="balance" *ngIf="toggle" [ngStyle]="{'color': toggle ? 'red':'green' }">
        <span>IDR</span>
        {{ balance }}
      </ion-label>
      <button ion-button round *ngIf="toggle" (click)="toggleButton()" full>Hide Balance</button>
      <button ion-button round *ngIf="!toggle" (click)="toggleButton()" full>Show Balance</button>
    </div>
    <div class="box-withdraw">
      <div class="menu-withdraw"  (click)="toWithdraw()" >
          Withdraw
      </div>
      <div class="price-withdraw">
        <button ion-button *ngFor="let data of withdraw">{{ data.value }}</button>
        
      </div>
    </div>
    <div class="box-deposit">
      <div class="menu-deposit"  (click)="toDeposit()" >
          Deposit
      </div>
      <div class="list-deposit">
        <ion-list>
          <ion-item *ngFor="let data of deposit">
            <ion-label>{{ data.nama }}</ion-label>
            <ion-label>{{ data.harga }}</ion-label>
          </ion-item>
        </ion-list>
      </div>
    </div>
  </div>
</ion-content>
